%define name       gxmame
%define version    0.35
%define altversion 0.35beta2
%define rel    7
%define release 0.cvs050410.%mkrel %rel
%define distsuffix plf

Summary:	A Gtk+ front-end for xmame 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Emulators
Url:		http://gxmame.sourceforge.net/
Source:		%{name}-%{altversion}.tar.bz2
Source1:	gxmame-48.png
BuildRoot:	%{_tmppath}/%{name}-%version-buildroot
BuildRequires:  gtk+2-devel >= 2.4.0
BuildRequires:  zlib-devel
BuildRequires:  libexpat-devel
BuildRequires:  ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
#gw no hard dep as it would move gxmame to non-freee
#Requires:	xmame-tools

%description
GXMame is a GTK+ based front end for X Mame (X version of the Multiple
Arcade Machine Emulator) It allows you to create a game list using
your current executable of mame, display specific games (neo-geo,
CPS1/2, working, by version...), view the status of a game, change its
preferences and launch it.

You must install xmame to use gxmame.

This package is in PLF because of Mandriva's policy regarding emulators.

%prep
%setup -q -n %{name}-%{altversion}
sed -i 's,gxmame.png,gxmame,' gxmame.desktop.in

%build

%configure2_5x --enable-joystick --with-xmame-dir=/usr/share/games/xmame
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall
%find_lang %{name}
mv %buildroot%_datadir/doc/%name installed-docs
mkdir -p %buildroot%_menudir
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="gxmame" \
title="GXmame" \
longtitle="An arcade emulator" \
icon="gxmame.png" \
needs="x11" \
section="More Applications/Emulators" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%_miconsdir
mkdir -p %buildroot%_liconsdir
install -m 644 gxmame.png %buildroot%_iconsdir/%name.png
convert gxmame.xpm %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE1 %buildroot%_liconsdir/%name.png

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc installed-docs/*
%{_bindir}/gxmame
%{_datadir}/applications/gxmame.desktop
%_datadir/pixmaps/*
%_mandir/man6/%name.6*
%_datadir/%name
%{_datadir}/icons/gxmame.png
%{_datadir}/icons/mini/gxmame.*
%{_datadir}/icons/large/gxmame.*
%_menudir/%name


%changelog
* Sun Dec 28 2008 Gtz Waschk <goetz@zarb.org> 0.35-0.cvs050410.7plf2009.1
- rebuild

* Fri Dec 21 2007 Anssi Hannula <anssi@zarb.org> 0.35-0.cvs050410.6plf2008.1
- remove icon extension from desktop entry file

* Tue Sep  5 2006 Gtz Waschk <goetz@zarb.org> 0.35-0.cvs050410.5plf2007.0
- fix buildrequires

* Mon Sep  4 2006 Gtz Waschk <goetz@zarb.org> 0.35-0.cvs050410.4plf2007.0
- xdg menu
- fix buildrequires

* Sun Nov  6 2005 Gtz Waschk <goetz@zarb.org> 0.35-0.cvs050410.3plf
- fix buildrequires

* Mon Apr 11 2005 Gtz Waschk <goetz@zarb.org> 0.35-0.cvs050410.2plf
- drop dep on xmame
- fix typo
- fix release

* Mon Apr 11 2005 Gtz Waschk <goetz@zarb.org> 0.35-0.cvs050410.1plf
- update file list
- fix icons
- spec fixes
- use mkrel
- new version

* Sun Jan 30 2005 Guillaume Bedot <littletux@zarb.org> 0.35-0.cvs050130.2plf
- dropped workaround.

* Sun Jan 30 2005 Guillaume Bedot <littletux@zarb.org> 0.35-0.cvs050130.1plf
- New snapshot "beta1".
- Workaround for locales not installing.

* Fri Dec 24 2004 Guillaume Bedot <littletux@zarb.org> 0.35-0.cvs041224.1plf
- new snapshot (try to fix locale issues)

* Mon Dec 06 2004 Guillaume Bedot <littletux@zarb.org> 0.35-0.cvs041206.1plf
- latest cvs for compatibility with xmame-0.89

* Sat Aug 28 2004 Guillaume Bedot <littletux@zarb.org> 0.35-0.cvs040828.1plf
- latest cvs for compatibility with xmame-0.86
- fixed default paths
- why in PLF

* Fri Dec 19 2003 Gtz Waschk <goetz@plf.zarb.org> 0.34b-1plf
- enable joystick
- new version

* Wed Dec 17 2003 Gtz Waschk <goetz@plf.zarb.org> 0.34-2plf
- fix buildrequires

* Wed Dec 17 2003 Gtz Waschk <goetz@plf.zarb.org> 0.34-1plf
- fix file list
- needs gtk2
- new version

* Thu Jun 12 2003 Gtz Waschk <goetz@plf.zarb.org> 0.33-1plf
- new version

* Mon Mar 24 2003 Gtz Waschk <goetz@plf.zarb.org> 0.32-1plf
- new version

* Tue Mar 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.31-1plf
- initial plf package

* Wed Jan 08 2003 - 0.31
	- Translations updated.
	- Debian directory updated.
	- Diffdir options added.
	- vidix option added.
	- User can now set additionnal options string.
	- Support new switches of XMame 0.62.1
	- Added icons suport (xpm and ico if zipped, ico only if not zipped).
	- Fixed an error message if a support zipfile was not found.
	- Change default input and Hiscore path to user directory.
	- Fixed a bug preventing to run the network.
	- Added option for Netmame 0.6 rc1
	- Added a new indented view where clones are shifted below their parent.
	- Reorganize directory options into several tabs.
	- User can now changes to color of the clones games.
	- User can now changes the font of the folders and game list.
	- Fixed a timout problem with the folder selection.
	- Properties window display the game icon.
	- Icons look better when scalled.

* Sun Nov 24 2002 - 0.30
	- Fixed the keepaspect option for xfx target.
	- Fixed the SDL auto mode option.
	- Fixed option problem when user try to change the joystick device name.
	- Fixed option problem with photon2 target.
	- left and right direction of the joystick will allow to move faster
	  in the game list.
	- Changed the way to handle locales(thanks, Diego Apollonio).
	- Polish translation added (Thanks, Dawid Cierniak).
	- Resized some button to fit translated text.
	- Fixed the cheat option.
	- Added fullscreen option for Xv.
	- Added cfgname option.
	- Added waveout plugin support.
	- Added geometry option for xv
	- Added debian directory to build .deb packages(thanks, Nicos Panayides).
	- Fixed some option availability errors (grabmouse, Video mode and xv)
	- Reoganize options to be 800x600 friendly.
	- Added grabkeyboard option.
	- Added yuv option.
	- Can now use path with space characters.
	- Fixed segfault if pictures directory was longer than the default ones.
	- Changed some "Error" messages to "Warning" messages
	- Fixed the display of "s" in some languages.
	- Added options to record and playback games.
	- SDL modes are now listed in a more 'friendly' way.(with xmame>=0.61.1)
	- Fixed: icons are now updated after a audit in details view.
	- Fixed hotkeys problems that moved in the gamelist after exiting a
	  dialog box or popup window.
	- Joystick game selection is now disabled when some dialog boxes are 
	  open (game preferences, inp selection).
	- Updated hotkeys for all dialog boxes.
	- Entries for roms and samples paths auto resize now. 
	- Added zip support for screenshot files.
	- the screenshot panel wont resize when resizing main window.
	- the joystick name option is now used when using the new driver type
	  joystick.
	- Added yv12 option.
	- Multiple executables support.
	- Added "The" prefix in View menu.
	- Fixed initialisation of viewmode menu
	- Added an html documentation.
	- "Add to favorite" and "Remove from favorite" items are now updated
	  in the popup menu.
	- Documentation files are now installed when using source files.
	- Debug version is now compiled without optimisations 
	- Code cleanup.

* Thu Aug 29 2002 - 0.28
	- Fixed the artworks options problem with the xmame-0.61.
	- Change the artwork_crop default value to false.
	- Change configure scripts to allows to turn on debugging at configure
	  time, just by typing './configure --enable-debug', no need to change
	  the sources anymore. The executable will also be striped when not using
	  the debug version.
	- Should be able to recognise more errors when running xmame and display 
	  them instead of doing nothing.
	- Display the output of xmame event if the debug option wasn't activated
	- GXMame now use good parameters if the decimal separator of the system
	  is a ',' instead of a '.'
	- Fixed a bug the prevented user to save global vectors options.
	- added the the vector intensity option.
	- user can now disable to joystick support at configuration time
	  (it seems that it doesn't compile under freebsd) using
	  '--disable-joystick' switch.
	- Display history.dat and mameinfo.dat informations in the main window.
	- improved joystick support, analog joystick should give less eratic 
	  results
	- Does not refresh the screenshot if we click on a game already selected.
	- Support Flyers, Cabinets, Marquees and Titles screenshots in addition
	  of the snapshot ones, just clic on the picture.
	- Add xv extension option.
	- correct the joystick choice option (Add the SDL type as joytype 7).
	- fixed the bug that prevented to use correctly xmame if dga or mitshm
	  (and some joysticks) weren't compiled in.
	- Add options to:
	   - check for new game at the begining.
	   - disable the version mismatch warning.
	   - disable the joystick support in gui.
	   - Select the device used for joystick gui navigation.
	- Spanish translation added (Thanks, Pablo del Campo).
	- Fixed the strange behavior when using arrow key after joystick or
	  after searched a game by letter.
	- The game list is now focused when GXMame is launched.
	- Italian translation added (Thanks, Diego Apollonio).
	- Dutch translation added (Thanks, Franois Duprez).
	- Improve mame executable detection (previously problems with xfx
	  version)
	- German translation added (Thanks, Tobias Wichtrey).
	- updated README file

* Mon Aug 12 2002 - 0.27c
	- Fixed a very stupid (but hard to find because it wasn't occuring on 
	  my computer)bug that crashed GXMame on some computers.
	- Improve Joystick support, you can now keep up or down directions 
	  pressed to scroll through the game list.
	- GXMame doesn't try anymore to display a list of plugins when there
	  are no plugin at all.

* Thu Aug 08 2002 - 0.27b
	- fixed a bug that crashed GXMame when user tried to change options for
	  a non vector game.
	- Add preliminary Joystick support (up/down to select game and button 0
	  to play it), works at least with My PSX pad and should work with every 
	  joystick in /dev/js0
	- context menu appear when user press on the "Windows" menu key.
	
* Tue Aug 06 2002 - 0.27
	- Fixed: GXMame crashed if "The" button was clicked and no game 
	  selected.
	- Change error message in configure.in if gdk-pixbuf is not found.
	- User can quickly jump to a name by typing its name when the game list
	  is focused.
	- Fixed the bug that crash GXMame when you have no gamelist file,
	  your mame executable isn't called "xmame" and you try to choose your
	  executable (thanks, John Morris)
	- New logo (thanks, Arnaud Pontier)
	- Added preferences for global and specific game
	- When user change to a folder containing no games, the picture of
	  the previous game is no more displayed, and menus are updated also,
	  now working for the small icons view also.
	- Fixed the popup bug that messed up the mouse button when using the
	  popup
	- GXMame is now searching in your path to find xmame
	- Every options are created in option.c
	- Change configure.in and Makefile.am to be able to create package with
	 'make dist'

* Mon Jun 17 2002 - 0.24c
	- when user change to a folder containing no games, the picture of
	  the previous game is no more displayed, and menus are updated also.
	- GXMame can now load catver file and not only catver.ini.
	- fixed the autogen script that was looking for gnome libairies
	- add a delay to the folders selection, that prevent GXMame to crash if
	  user clics too quickly on a folder or browse differents folders very
	  quickly.
	- fixed the bug that crashed GXMame if user clic too quickly on "The,"
	  button.
	- the main window title is updated if the xmame executable is changed
	- user can't launch a game or an audit if the xmame selected is not a 
	  valid executable.

* Fri Jun 14 2002 - 0.24b
	- Fixed a compilation problem when using --disable-nls option
	- when doing a quick check, the selected game stay selected
	  (on some configuration, GXMame crashed during the quick check)
	- detect if xmame is a valid executable.
	- GXMame now compare the executable and list version when changing the 
	  executable in directories preferences.
	- Fixed a stupid error when I display the mismatch version error

* Sun Jun 09 2002 - 0.24
	- Audit of all roms and samples
	- Fixed the first error message box that stayed under the main window
	  at the startup with some windows managers (Window Maker, Enlightment)
	- GXMame doesn't complain anymore if you use a executable made for 
	  another target than the one used to build the list
	- Change the gamelist format to be able to display all properties 
	  of a game
	- Properties window
	- Single audit window
	- Added a pop-up menu to launch the game, change the favorite status
	  select a random game and open the properties window
	- Able to audit a single game in the properties window, the result of 
	  this audit update the main gui
	- refresh the times played value and status of a game after played it
	  
* Fri May 17 2002 - 0.21
	- remember  the last game selected even if the gamename contain 
	  no extension(ie something into parenthesis or after a dash).
	- Fix a nasty bug that prevented to display the selected game where I 
	  wanted but only on the top of the list.
	- Add a progression window when a game is loading but can't cancel
	  the load for the moment.
	- display an error when the game is not loaded.
	- hide the main window instead of iconise it.
	- remember the last folder selected.
	- the folderlist can be scrolled horizontally now.
	- add a progression window when creating the gamelist
	- user can rebuild gamelist from the gui
	- GXMame now detect if the gamelist is correspond to the executable
	- add support for catver.ini
	- user can now choose the name of his executable,
	  and paths to roms, samples, artwork, hiscore and catver from the gui
	- user can choose cheatfile, hiscorefile, historyfile and mameinfo.
	- Screenshots taken during games (F12 while playing) will be saved into
	  the snapshot folder and used by GXMame
	- Random game selection
	- some little bugfixes here and there...

* Tue May 07 2002 - 0.19 
	- first public release
